Unit tzp55e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, ZP55E_p;

function tzp55e: String;

implementation

function tzp55e: String;
var
NP,MP,_i :Integer;
B :Array [0..6] of Extended;
B2 :Array [0..2] of Extended;
Q :Array [0..6] of Extended;
R :Array [0..6] of Extended;
const
A :Array [0..6] of Extended = ( -10.0e0,30.0e0,-50.0e0,40.0e0,-20.0e0,8.0e0,
8.0e0 );
B1 :Array [0..4] of Extended = ( -8.0e0,6.0e0,-4.0e0,3.0e0,2.0e0 );
begin
Result := '';  {   }
NP := 6;
MP := 4;
ZP55E(NP,A,MP,B1,Q,R);
Result := Result + #$0D#$0A;
for _i:=0 to 6 do
 begin
  Result := Result + Format('%20.16f ',[Q[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 6 do
 begin
  Result := Result + Format('%20.16f ',[R[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tzp55e',Result);  {     tzp55e.res }
exit;
end;

end.
